import common.lin as lin

region_1 = set([1544, 1041, 2066, 1561, 687, 1058, 1059, 2089, 2094, 1091, 584, 1098, 1463, 2126, 603, 1628, 2142, 611, 1129, 1140, 630, 2175, 646, 1676, 676, 2220, 1711, 689, 2232, 1725, 2238, 1218, 2243, 1220, 712, 1226, 2255, 2257, 1234, 1237, 743, 758, 763, 2347, 2313, 779, 1805, 2325, 2332, 2333, 803, 811, 2353, 2354, 822, 823, 829, 1854, 1345, 2370, 836, 1351, 2383, 1363, 2399, 1888, 869, 2406, 872, 2409, 1388, 2416, 1342, 886, 1914, 2431, 896, 1409, 1416, 2443, 908, 1936, 2366, 2453, 2455, 921, 931, 1447, 1971, 2487, 1070, 955, 2493, 2494, 2495, 1986, 966, 971, 2000, 1501, 2025, 2032, 1529])

region_2 = set([1025, 2050, 918, 1793, 2314, 907, 1036, 1282, 2446, 1069, 2221, 1970, 2371, 1686, 1689, 2074, 2203, 1309, 2334, 2463, 1954, 1122, 1320, 1577, 973, 1837, 1101, 2095, 1969, 1229, 1391, 1972, 1455, 2358, 1335, 2233, 2143, 2364, 2365, 2113, 1475, 965, 1094, 780, 1740, 717, 781, 2128, 1492, 981, 1750, 2127, 1164, 1629, 863, 1869, 2256, 1890, 2275, 2021, 1382, 2279, 2410, 1832, 742, 879, 1197, 2162, 852, 1876, 1786, 1662, 1125])
region_3 = set([1410, 1796, 2054, 1419, 1368, 1938, 1302, 1305, 1828, 1461, 2164, 1215, 1217, 1219, 2122, 1877, 1880, 1759, 2144, 2022, 1255, 2026, 1139, 1396, 1142, 2169, 1471, 1514])

region_4 = set([2432, 1540, 1801, 1039, 1680, 1048, 1554, 2196, 1688, 922, 1821, 2215, 2348, 690, 1589, 1601, 1093, 1482, 975, 1748, 854, 2264, 1630, 1383, 2287, 1652, 1531])

region_5 = set([1408, 1922, 1283, 1924, 1797, 1798, 1582, 1167, 1496, 1426, 1555, 2008, 1326, 1434, 1947, 1923, 1565, 1925, 1696, 1442, 2075, 1189, 2087, 1449, 1834, 1581, 1838, 1839, 1845, 1334, 1592, 1722, 1213, 1483, 2116, 1771, 1864, 1995, 1357, 1946, 2027, 1616, 1617, 1751, 1624, 1625, 1498, 1499, 2013, 1829, 1760, 1378, 1252, 1254, 2023, 1386, 2155, 1647, 1141, 1654, 1892, 1532, 1789, 1790, 1663])

region_6 = set([1625, 1647, 1798, 1751, 1722, 1839])


def region1_t39(linss):
    d = lin.invertMap(linss[(39, 47)])

    return set([d[cid] for cid in region_1])

def region2_t39(linss):
    d = lin.invertMap(linss[(39, 47)])

    return set([d[cid] for cid in region_2])

def region3_t39(linss):
    d = lin.invertMap(linss[(39, 47)])

    return set([d[cid] for cid in region_3])

def region4_t39(linss):
    d = lin.invertMap(linss[(39, 47)])

    return set([d[cid] for cid in region_4])

def region5_t39(linss):
    d = lin.invertMap(linss[(39, 47)])

    return set([d[cid] for cid in region_5])




def region1_t32(linss):
    d = lin.invertMap(linss[(32, 39)])

    return set([d[cid] for cid in region1_t39(linss)])

def region2_t32(linss):
    d = lin.invertMap(linss[(32, 39)])

    return set([d[cid] for cid in region2_t39(linss)])

def region3_t32(linss):
    d = lin.invertMap(linss[(32, 39)])

    return set([d[cid] for cid in region3_t39(linss)])

def region4_t32(linss):
    d = lin.invertMap(linss[(32, 39)])

    return set([d[cid] for cid in region4_t39(linss)])

def region5_t32(linss):
    d = lin.invertMap(linss[(32, 39)])

    return set([d[cid] for cid in region5_t39(linss)])
